<!doctype html>
<html lang='en'>
<head>
    <meta charset='utf-8'>
    <title>Ajax Request Example</title>
</head>

<body>
	<input type='url' id='url' value='https://www.google.com' /><br />
	<input type='button' id='submitURL' value='Submit' /><br />
  <!--<span id='ajaxButton' style='cursor: pointer; text-decoration: underline'>
    Make a request
  </span>-->

  <script type="text/javascript">
  (function() {
    var httpRequest;
    //var testUrl = 'data/story.json';
    var newUrl = document.getElementById('url');
    console.log(newUrl);
    newUrl = newUrl.value;
    // Use Github Gist when no web server is available
    // var testUrl = 'https://gist.githubusercontent.com/c0lin/571d38b984d41b44aacf/raw/story.json';
    document.getElementById("submitURL").onclick = function() { 
    	newUrl = document.getElementById('url').value;
    	console.log(newUrl);
    	makeRequest(newUrl); };
    function makeRequest(url) {
      if (window.XMLHttpRequest) { // Mozilla, Safari, ...
        httpRequest = new XMLHttpRequest();
      } else if (window.ActiveXObject) { // IE
        try {
          httpRequest = new ActiveXObject("Msxml2.XMLHTTP");
        } 
        catch (e) {
          try {
            httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
          } 
          catch (e) {}
        }
      }
      if (!httpRequest) {
        alert('Giving up :( Cannot create an XMLHTTP instance');
        return false;
      }
      // set a callback function for when the httpRequest completes
      //httpRequest.onreadystatechange = alertContents;
      httpRequest.onreadystatechange = siteDown;
      // now do the actual AJAX request
      httpRequest.open('GET', url);
      //httpRequest.setRequestHeader("Access-Control-Allow-Origin","*");
      httpRequest.send();
    }
    // the callback
    // this will be run when the request completes (see above)
    function alertContents() {
      if (httpRequest.readyState === 4) {
        if (httpRequest.status === 200) {
          alert(httpRequest.responseText);
        } else {
          alert('There was a problem with the request.');
        }
      }
    }
    
    function siteDown() {
      if (httpRequest.readyState === 4) {
        if (httpRequest.status === 404) {
          alert('Site is DOWN!');
        } else {
          alert('URL: ' + newUrl + '\nStatus: ' + httpRequest.status);
        }
      }
    }
  })();
  </script>

</body>
</html>